package com.steerinfo.ems.trmenergyprice.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

public class TRmEnergyPrice implements IBasePO<String> {
    @ApiModelProperty(value="",required=true)
    private String id;

    @ApiModelProperty(value="",required=false)
    private String energyid;

    @ApiModelProperty(value="",required=false)
    private BigDecimal price;

    @ApiModelProperty(value="",required=false)
    private String bz;

    @ApiModelProperty(value="",required=false)
    private String createman;

    @ApiModelProperty(value="",required=false)
    private Date createtime;

    @ApiModelProperty(value="",required=false)
    private String updateman;

    @ApiModelProperty(value="",required=false)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getEnergyid() {
        return energyid;
    }

    public void setEnergyid(String energyid) {
        this.energyid = energyid == null ? null : energyid.trim();
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", energyid=").append(energyid);
        sb.append(", price=").append(price);
        sb.append(", bz=").append(bz);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}